scala.dbc.datatype
class Unknown

[source: `scala/dbc/datatype/Unknown.scala`]

`` `class` Unknown
  `extends` DataType

  The SQL type for a truth value.

Type Summary
`type` | NativeType The native Scala type in which values of this SQL type will be encoded.

Value Summary
`val` | nativeTypeId : Int The native Scala type in which values of this SQL type will be encoded. This must point to the same type as `NativeType`.

Method Summary
`def` | isEquivalent (datatype : DataType) : Boolean Tests whether this datatype is equivalent to another. Usually, two types are defined as equivalent if they are equal. Two types can be equivalent without being equal if values of those types will be encoded in the same native Scala type.
`def` | isSubtypeOf (datatype : DataType) : Boolean Tests whether this datatype is equivalent or a subtype of another datatype. Type `A` is said to be subtype of type `B` if any value of type `A` can be represented as a value of type `B`.
`override def` | sqlString : java.lang.String A SQL-99 compliant string representation of the type.

Methods inherited from DataType
nullable

Methods inherited from AnyRef
getClass, hashCode, equals, clone, toString, notify, notifyAll, wait, wait, wait, finalize, ==, !=, eq, ne, synchronized

Methods inherited from Any
==, !=, isInstanceOf, asInstanceOf

Type Details

`` `type` NativeType

  The native Scala type in which values of this SQL type will be encoded.

Value Details

`` `val` nativeTypeId : Int

  The native Scala type in which values of this SQL type will be encoded. This must point to the same type as `NativeType`.

Overrides
  DataType.nativeTypeId

Method Details

`` `def` isEquivalent(datatype : DataType) : Boolean

  Tests whether this datatype is equivalent to another. Usually, two types are defined as equivalent if they are equal. Two types can be equivalent without being equal if values of those types will be encoded in the same native Scala type.

Overrides
  DataType.isEquivalent

`` `def` isSubtypeOf(datatype : DataType) : Boolean

  Tests whether this datatype is equivalent or a subtype of another datatype. Type `A` is said to be subtype of type `B` if any value of type `A` can be represented as a value of type `B`.

Overrides
  DataType.isSubtypeOf

`override` `def` sqlString : java.lang.String

  A SQL-99 compliant string representation of the type.

Overrides
  DataType.sqlString